Bug 23596 - Add ability to modify the suggestions 'reason' field when receiving the item
Summary: Add ability to modify the suggestions 'reason' field when receiving the item
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-11 13:22 UTC by Séverine Queune
Modified: 2020-05-18 11:43 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
The suggestion 'reason' field is often used to communicate additional information about a suggestion between the patron making the suggestion and the staff member acting upon it. This enhancement allows staff to update the field upon receipt of the item and thus update the patron regarding the current state of the new material.
Version(s) released in:
20.05.00


Attachments
Bug 23596: Edit suggestion's reason when receiving (7.05 KB, patch)
2019-11-08 15:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23596: Edit suggestion's reason when receiving (7.18 KB, patch)
2019-11-12 11:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23596: Edit suggestion's reason when receiving (7.24 KB, patch)
2020-02-14 20:31 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 24269: Adjust C4::Heading to generate headings from auth tags (21.59 KB, patch)
2020-02-14 20:40 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 22828: Elasticsearch - display errors encountered during indexing on the command line (4.59 KB, patch)
2020-02-14 20:49 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 24009: Add Unit Tests (9.14 KB, patch)
2020-02-14 20:52 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 24009: Add Unit Tests (9.20 KB, patch)
2020-02-14 20:52 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 23596: (follow-up) Add missing use statement and set correct variable name (1.39 KB, patch)
2020-02-17 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23596: Edit suggestion's reason when receiving (7.34 KB, patch)
2020-04-13 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23596: (follow-up) Add missing use statement and set correct variable name (1.39 KB, patch)
2020-04-13 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23596: Edit suggestion's reason when receiving (7.42 KB, patch)
2020-04-13 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23596: (follow-up) Add missing use statement and set correct variable name (1.44 KB, patch)
2020-04-13 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2019-09-11 13:22:01 UTC
The BULAC (http://www.bulac.fr/) would like to add the ability to update and/or delete the suggestions.reason field when receiving an item.

It’s a field we mostly use to inform the patron on the future acquisition of this title, and after the receipt, it becomes obsolete so need to be emptied.
It could also be used to add a new comment or to update the existing one to inform the patron (for example,  about the cataloguing times, eg: “we won’t have a hebrew librarian until 2021-2023, so suggestions have to wait for a couple of years before being available” → a useful information for patrons, especially the one who made the suggestion and have been informed of the receipt).

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 1 Jonathan Druart 2019-11-08 15:28:33 UTC
Created attachment 95231 [details] [review]
Bug 23596: Edit suggestion's reason when receiving

This patch displays and let the librarian edit the suggestion.reason
information when receiving an order.

Note that if no reason was given the edit is not possible (easily
modifiable if needed but it seems that we do not want to display too
much details unnecessarily)

Test plan:
- Create a suggestion and fill the reason
- Create an order from this suggestion
- Close the basket and start receiving the order
=> The reason is displayed and editable
- Modify the reason and click Save
- Receive again
=> The reason has been correctly modified
- Play with the "Others..." option and give a specific reason

Sponsored-by: BULAC - http://www.bulac.fr/
Comment 2 Séverine Queune 2019-11-12 11:05:41 UTC
Created attachment 95296 [details] [review]
Bug 23596: Edit suggestion's reason when receiving

This patch displays and let the librarian edit the suggestion.reason
information when receiving an order.

Note that if no reason was given the edit is not possible (easily
modifiable if needed but it seems that we do not want to display too
much details unnecessarily)

Test plan:
- Create a suggestion and fill the reason
- Create an order from this suggestion
- Close the basket and start receiving the order
=> The reason is displayed and editable
- Modify the reason and click Save
- Receive again
=> The reason has been correctly modified
- Play with the "Others..." option and give a specific reason

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Bouzid Fergani 2020-02-14 20:31:19 UTC
Created attachment 99030 [details] [review]
Bug 23596: Edit suggestion's reason when receiving

This patch displays and let the librarian edit the suggestion.reason
information when receiving an order.

Note that if no reason was given the edit is not possible (easily
modifiable if needed but it seems that we do not want to display too
much details unnecessarily)

Test plan:
- Create a suggestion and fill the reason
- Create an order from this suggestion
- Close the basket and start receiving the order
=> The reason is displayed and editable
- Modify the reason and click Save
- Receive again
=> The reason has been correctly modified
- Play with the "Others..." option and give a specific reason

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 4 Bouzid Fergani 2020-02-14 20:40:51 UTC Comment hidden (obsolete)
Comment 5 Bouzid Fergani 2020-02-14 20:49:22 UTC Comment hidden (obsolete)
Comment 6 Bouzid Fergani 2020-02-14 20:52:20 UTC Comment hidden (obsolete)
Comment 7 Bouzid Fergani 2020-02-14 20:52:59 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2020-02-15 08:38:26 UTC
In my testing, starting with an 'other' comment, then using cancel to get the pull down, will only offer 'other' and empty... not pulling the list of values the same action gives me on editing a suggestion in the acquisitions module.
Comment 9 Jonathan Druart 2020-02-17 16:21:53 UTC
Created attachment 99116 [details] [review]
Bug 23596: (follow-up) Add missing use statement and set correct variable name
Comment 10 Katrin Fischer 2020-04-12 23:48:56 UTC
The patch doesn't apply cleanly anymore - can you please rebase? Don't want to risk breaking things.
Comment 11 Jonathan Druart 2020-04-13 09:08:00 UTC
Created attachment 102802 [details] [review]
Bug 23596: Edit suggestion's reason when receiving

This patch displays and let the librarian edit the suggestion.reason
information when receiving an order.

Note that if no reason was given the edit is not possible (easily
modifiable if needed but it seems that we do not want to display too
much details unnecessarily)

Test plan:
- Create a suggestion and fill the reason
- Create an order from this suggestion
- Close the basket and start receiving the order
=> The reason is displayed and editable
- Modify the reason and click Save
- Receive again
=> The reason has been correctly modified
- Play with the "Others..." option and give a specific reason

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 12 Jonathan Druart 2020-04-13 09:08:04 UTC
Created attachment 102803 [details] [review]
Bug 23596: (follow-up) Add missing use statement and set correct variable name
Comment 13 Katrin Fischer 2020-04-13 13:39:20 UTC
Created attachment 102834 [details] [review]
Bug 23596: Edit suggestion's reason when receiving

This patch displays and let the librarian edit the suggestion.reason
information when receiving an order.

Note that if no reason was given the edit is not possible (easily
modifiable if needed but it seems that we do not want to display too
much details unnecessarily)

Test plan:
- Create a suggestion and fill the reason
- Create an order from this suggestion
- Close the basket and start receiving the order
=> The reason is displayed and editable
- Modify the reason and click Save
- Receive again
=> The reason has been correctly modified
- Play with the "Others..." option and give a specific reason

Sponsored-by: BULAC - http://www.bulac.fr/
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2020-04-13 13:39:25 UTC
Created attachment 102835 [details] [review]
Bug 23596: (follow-up) Add missing use statement and set correct variable name

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Martin Renvoize 2020-04-14 16:23:34 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 16 Joy Nelson 2020-05-05 21:18:56 UTC
feature not backported to 19.11.x